from machine import Pin, time_pulse_us
import time

SOUND_SPEED=340 # Speed of sound in air
TRIG_PULSE_DURATION_US=10

trig_pin = Pin(15, Pin.OUT) # GP15 pin of the Pico
echo_pin = Pin(14, Pin.IN)  # GP14 pin of the Pico
led = Pin(1, Pin.OUT)
while True:
    # Prepare the signal
    trig_pin.value(0)
    time.sleep_us(5)
    # Create a 10 µs pulse
    trig_pin.value(1)
    time.sleep_us(TRIG_PULSE_DURATION_US)
    trig_pin.value(0)

    ultrason_duration = time_pulse_us(echo_pin, 1, 30000) # Returns the propagation time of the wave (in µs)
    distance_cm = SOUND_SPEED * ultrason_duration / 20000

    print(f"Distance : {distance_cm} cm")
    time.sleep_ms(500)
    if distance_cm <=200:
        led.value(1)
    else:
        led.value(0)
            